cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/inventories" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_inventories("ITEM-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemInventories('ITEM-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemInventories('ITEM-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.ItemInventoriesView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemInventoriesView> response = client.items().getItemInventories("ITEM-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemInventoriesAsync("ITEM-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemInventories('ITEM-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemInventories(context.Background(), "ITEM-0001", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item": {
"id": "<string>",
"name": "<string>",
"inventories": {
"enabled": true,
"enable_warehouse_management": true,
"default_warehouse": "<string>",
"inventory_properties": {
"enabled": true,
"enable_batch_tracking": true,
"enable_serialization": true,
"enable_inventory_costing": true,
"enable_low_stock_notification": true,
"enable_preorder": true,
"enable_reordering": true,
"low_stock_threshold_based_on": "<string>",
"reordering_threshold_based_on": "<string>",
"quantity_available_for_sale": "<string>",
"quantity_available_for_sale_determination": "<array>",
"use_atp_value_as_quantity_available_for_webhook": true,
"default_cost_per_unit": "<unknown>",
"preorder_configuration": [
{
"end_date": "<string>",
"name": "<string>",
"start_date": "<string>"
}
],
"preorder_period": "<string>"
},
"warehouses": [
{
"quantity_on_hand": 123,
"quantity_on_hand_value": "<string>",
"quantity_available": 123,
"quantity_available_value": "<string>",
"quantity_on_order": 123,
"quantity_promised": 123,
"quantity_on_return": 123,
"quantity_on_purchase_return": 123,
"warehouse": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"uom": "<string>"
}
]
}
}
}Items
Retrieve an item's inventory settings and stock
Returns an item’s inventory section and its stock per warehouse.
GET
/
items
/
{item_id}
/
inventories
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/items/ITEM-0001/inventories" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.items.get_item_inventories("ITEM-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.items.getItemInventories('ITEM-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->items->getItemInventories('ITEM-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.items.items_dto.ItemsDto.ItemInventoriesView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemInventoriesView> response = client.items().getItemInventories("ITEM-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Items.GetItemInventoriesAsync("ITEM-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.items.getItemInventories('ITEM-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Items().GetItemInventories(context.Background(), "ITEM-0001", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"item": {
"id": "<string>",
"name": "<string>",
"inventories": {
"enabled": true,
"enable_warehouse_management": true,
"default_warehouse": "<string>",
"inventory_properties": {
"enabled": true,
"enable_batch_tracking": true,
"enable_serialization": true,
"enable_inventory_costing": true,
"enable_low_stock_notification": true,
"enable_preorder": true,
"enable_reordering": true,
"low_stock_threshold_based_on": "<string>",
"reordering_threshold_based_on": "<string>",
"quantity_available_for_sale": "<string>",
"quantity_available_for_sale_determination": "<array>",
"use_atp_value_as_quantity_available_for_webhook": true,
"default_cost_per_unit": "<unknown>",
"preorder_configuration": [
{
"end_date": "<string>",
"name": "<string>",
"start_date": "<string>"
}
],
"preorder_period": "<string>"
},
"warehouses": [
{
"quantity_on_hand": 123,
"quantity_on_hand_value": "<string>",
"quantity_available": 123,
"quantity_available_value": "<string>",
"quantity_on_order": 123,
"quantity_promised": 123,
"quantity_on_return": 123,
"quantity_on_purchase_return": 123,
"warehouse": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"uom": "<string>"
}
]
}
}
}Returns
{id, name, inventories} under item, where id is the item’s id code. inventories.warehouses lists each warehouse with its quantities on hand, available, on order and promised.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The item's id, such as ITEM-0001. Not its uuid.
Response
200 - application/json
The short item with its inventory section, under item.
Show child attributes
Show child attributes